## Usage

Command Line Options
Configuration File

> In addition to command line / configuration file options, the TeX output can be customized by editing the style file ```docxx.sty`'' (sorry, there is no documentation on how to do this).

> In addition to command line / configuration file options, the HTML output can be customized by means of the following 6 files:

> indexHeader.inc
>   Header for index HTML pages
> indexFooter.inc
>   Footer for index HTML pages
> hierHeader.inc
>   Header for class hierarchy HTML pages
> hierFooter.inc
>   Footer for class hierarchy HTML pages
> classHeader.inc
>   Header for all other HTML pages
> classFooter.inc
>   Footer for all other HTML pages

> If one or more of these files are found in the current directory, the corresponding part of a HTML page is substituted by the contents of the file. The ``indexHeader.inc`' and ``hierHeader.inc`' files should start with ```<HTML><TITLE> ...`''. File ``classHeader.inc`' should start with ```<BODY> ...`'', since for such pages DOC++ sets up the title.

> The HTML page header and footer may contain one or more template strings, which will be substituted by DOC++ at documentation generating time:

> %file
>   entry's file name
> %fullname
>   entry's full name (includes the inheritance)
> %name
>   entry's name
> %type
>   entry's return type

> As an example, the TeX version of this document has been generated with

>     	    doc++ --tex --output doc.tex --package a4wide doc.dxx

> while the HTML version has been created using

>     	    doc++ --dir html doc.dxx

> As you can see, this documentation itself is written using DOC++ in order to gain the benefits of having just one documentation source and two different output possibilities.

Alphabetic index Hierarchy of classes

This page was generated with the help of DOC++.